## Class Display

    java.lang.Object
      Display

    public class Display

extends java.lang.Object

Modella un display per la visualizzazione dei messaggi del programma. Incapsula un riferimento all'oggetto che gestisce la periferica di output standard del sistema.

Version:
  1.0.1
Author:
  Alessio Treglia

Constructor Summary
`Display()` Inizializza l'oggetto.

Method Summary
`void` `stampa(java.lang.Object ob)` Stampa la descrizione stringa sul supporto di visualizzazione.
`void` `stampa(java.lang.String str)` Stampa una stringa sul supporto di visualizzazione
`void` `stampaln()` Stampa un carattere di nuova linea
`void` `stampaln(int n)` Stampa un numero intero sullo schermo.
`void` `stampaln(java.lang.Object ob)` Stampa una stringa descrittiva dell'oggetto ob sul supporto di visualizzazione, pił il carattere di nuova linea.
`void` `stampaln(java.lang.String str)` Stampa una stringa sul supporto di visualizzazione, pił il carattere di nuova linea.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Display

    public Display()

  Inizializza l'oggetto.

Method Detail

### stampa

    public void stampa(java.lang.String str)

  Stampa una stringa sul supporto di visualizzazione

  Parameters:
    `str` - `String` da stampare

### stampa

    public void stampa(java.lang.Object ob)

  Stampa la descrizione stringa sul supporto di visualizzazione.

  Parameters:
    `ob` - oggetto del quale stampare la descrizione stringa

### stampaln

    public void stampaln(java.lang.String str)

  Stampa una stringa sul supporto di visualizzazione, pił il carattere di nuova linea.

  Parameters:
    `str` - `String` da stampare

### stampaln

    public void stampaln(int n)

  Stampa un numero intero sullo schermo.

  Parameters:
    `n` - `int` da stampare

### stampaln

    public void stampaln(java.lang.Object ob)

  Stampa una stringa descrittiva dell'oggetto ob sul supporto di visualizzazione, pił il carattere di nuova linea.

  Parameters:
    `ob` - oggetto da stampare

### stampaln

    public void stampaln()

  Stampa un carattere di nuova linea